Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# Person.PlacesLived

implements Freezable<T>

com.google.android.gms.plus.model.people.Person.PlacesLived

## Summary

Public Methods
abstract String | getValue() A place where this person has lived.
abstract boolean | hasPrimary() Indicates whether the "primary" field is explicitly set to a value.
abstract boolean | hasValue() Indicates whether the "value" field is explicitly set to a value.
abstract boolean | isPrimary() If "true", this place of residence is this person's primary residence.

[Expand] Inherited Methods

From interface com.google.android.gms.common.data.Freezable

abstract T | freeze() Freeze a volatile representation into an immutable representation.
abstract boolean | isDataValid() Check to see if this object is valid for use.

## Public Methods

#### public abstract String getValue ()

A place where this person has lived. For example: "Seattle, WA", "Near Toronto".

#### public abstract boolean hasPrimary ()

Indicates whether the "primary" field is explicitly set to a value.

#### public abstract boolean hasValue ()

Indicates whether the "value" field is explicitly set to a value.

#### public abstract boolean isPrimary ()

If "true", this place of residence is this person's primary residence.